﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_CAS') 
 CREATE TABLE T_QCBD_INSOBJ_CAS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO BIGINT DEFAULT 0 NOT NULL,
FSBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMSRCQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSRCUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_CAS_L') 
 CREATE TABLE T_QCBD_INSOBJ_CAS_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCAS_ENTRY') 
 CREATE TABLE T_QCBD_QCAS_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTTEXTVAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FUPDTIME DATETIME,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCTEAM') 
 CREATE TABLE T_QCBD_QCTEAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FTEAMBADGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGISTDATE DATETIME,
FGRPDESC NVARCHAR(512) DEFAULT ' ' NOT NULL,
FCUTURALCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCTEAM_L') 
 CREATE TABLE T_QCBD_QCTEAM_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCTEAMUSER') 
 CREATE TABLE T_QCBD_QCTEAMUSER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLEVAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FPERFDUTY NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FISPERSONFAIL CHAR(1) DEFAULT '0' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_BADDEAL') 
 CREATE TABLE T_QCBD_BADDEAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSPEDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FINSPECTOR BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FHANDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_BADDEALENTRY') 
 CREATE TABLE T_QCBD_BADDEALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FUNQUALIREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNQUALITYPE BIGINT DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRESPONORG BIGINT DEFAULT 0 NOT NULL,
FRESPONDEPART BIGINT DEFAULT 0 NOT NULL,
FRESPONUSER BIGINT DEFAULT 0 NOT NULL,
FHANDTIME DATETIME,
FUNQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDINSPEC CHAR(1) DEFAULT '0' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNQUALITIME DATETIME,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FCONVERTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWBBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTITYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALCFG BIGINT DEFAULT 0 NOT NULL,
FDRAWCAPNUM INT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_BADDEAL_L') 
 CREATE TABLE T_QCBD_BADDEAL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
