﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_ACTIVISTEP', 'T_QCBD_ACTIVISTEP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIEP_FNUMBER') CREATE INDEX IDX_QCBD_ACTIEP_FNUMBER ON T_QCBD_ACTIVISTEP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIEP_FCREATETIME') CREATE INDEX IDX_QCBD_ACTIEP_FCREATETIME ON T_QCBD_ACTIVISTEP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_ACTIVISTEP_L', 'T_QCBD_ACTIVISTEP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIEPL_FID') CREATE INDEX IDX_QCBD_ACTIEPL_FID ON T_QCBD_ACTIVISTEP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIEPL_FNAME') CREATE INDEX IDX_QCBD_ACTIEPL_FNAME ON T_QCBD_ACTIVISTEP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_ACTIVISTEPENTRY', 'T_QCBD_ACTIVISTEPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIRY_FID') CREATE INDEX IDX_QCBD_ACTIRY_FID ON T_QCBD_ACTIVISTEPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIRY_FSEQ') CREATE INDEX IDX_QCBD_ACTIRY_FSEQ ON T_QCBD_ACTIVISTEPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_ACTIVITYTEP', 'T_QCBD_ACTIVITYTEP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIEP_FNUMBER') CREATE INDEX IDX_QCBD_ACTIVIEP_FNUMBER ON T_QCBD_ACTIVITYTEP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIEP_FCREATETIME') CREATE INDEX IDX_QCBD_ACTIVIEP_FCREATETIME ON T_QCBD_ACTIVITYTEP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_ACTIVITYTEP_L', 'T_QCBD_ACTIVITYTEP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIEPL_FID') CREATE INDEX IDX_QCBD_ACTIVIEPL_FID ON T_QCBD_ACTIVITYTEP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIEPL_FNAME') CREATE INDEX IDX_QCBD_ACTIVIEPL_FNAME ON T_QCBD_ACTIVITYTEP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_ACTIVITYTEPENTRY', 'T_QCBD_ACTIVITYTEPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIRY_FID') CREATE INDEX IDX_QCBD_ACTIVIRY_FID ON T_QCBD_ACTIVITYTEPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ACTIVIRY_FSEQ') CREATE INDEX IDX_QCBD_ACTIVIRY_FSEQ ON T_QCBD_ACTIVITYTEPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_AWARDHONOR', 'T_QCBD_AWARDHONOR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_AWAROR_FNUMBER') CREATE INDEX IDX_QCBD_AWAROR_FNUMBER ON T_QCBD_AWARDHONOR ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_AWAROR_FCREATETIME') CREATE INDEX IDX_QCBD_AWAROR_FCREATETIME ON T_QCBD_AWARDHONOR ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_AWARDHONOR_L', 'T_QCBD_AWARDHONOR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_AWARORL_FID') CREATE INDEX IDX_QCBD_AWARORL_FID ON T_QCBD_AWARDHONOR_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_AWARORL_FNAME') CREATE INDEX IDX_QCBD_AWARORL_FNAME ON T_QCBD_AWARDHONOR_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_REVIEWCOMMIT_ATT', 'T_QCBD_REVIEWCOMMIT_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVIIT_FENTRYID') CREATE INDEX IDX_QCBD_REVIIT_FENTRYID ON T_QCBD_REVIEWCOMMIT_ATT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_QCBD_REVIEWSTA', 'T_QCBD_REVIEWSTA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVITA_FNUMBER') CREATE INDEX IDX_QCBD_REVITA_FNUMBER ON T_QCBD_REVIEWSTA ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVITA_FCREATETIME') CREATE INDEX IDX_QCBD_REVITA_FCREATETIME ON T_QCBD_REVIEWSTA ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_REVIEWSTA_L', 'T_QCBD_REVIEWSTA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVITAL_FID') CREATE INDEX IDX_QCBD_REVITAL_FID ON T_QCBD_REVIEWSTA_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVITAL_FNAME') CREATE INDEX IDX_QCBD_REVITAL_FNAME ON T_QCBD_REVIEWSTA_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_REVIEWTYPE', 'T_QCBD_REVIEWTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVIPE_FNUMBER') CREATE INDEX IDX_QCBD_REVIPE_FNUMBER ON T_QCBD_REVIEWTYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVIPE_FCREATETIME') CREATE INDEX IDX_QCBD_REVIPE_FCREATETIME ON T_QCBD_REVIEWTYPE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_REVIEWTYPE_L', 'T_QCBD_REVIEWTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVIPEL_FID') CREATE INDEX IDX_QCBD_REVIPEL_FID ON T_QCBD_REVIEWTYPE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_REVIPEL_FNAME') CREATE INDEX IDX_QCBD_REVIPEL_FNAME ON T_QCBD_REVIEWTYPE_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_SCOREGRADE', 'T_QCBD_SCOREGRADE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORDE_FNUMBER') CREATE INDEX IDX_QCBD_SCORDE_FNUMBER ON T_QCBD_SCOREGRADE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORDE_FCREATETIME') CREATE INDEX IDX_QCBD_SCORDE_FCREATETIME ON T_QCBD_SCOREGRADE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_SCOREGRADE_L', 'T_QCBD_SCOREGRADE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORDEL_FID') CREATE INDEX IDX_QCBD_SCORDEL_FID ON T_QCBD_SCOREGRADE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORDEL_FNAME') CREATE INDEX IDX_QCBD_SCORDEL_FNAME ON T_QCBD_SCOREGRADE_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_SCORENTRY', 'T_QCBD_SCORENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORRY_FID') CREATE INDEX IDX_QCBD_SCORRY_FID ON T_QCBD_SCORENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORRY_FSEQ') CREATE INDEX IDX_QCBD_SCORRY_FSEQ ON T_QCBD_SCORENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_SCORESCHEME', 'T_QCBD_SCORESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORME_FNUMBER') CREATE INDEX IDX_QCBD_SCORME_FNUMBER ON T_QCBD_SCORESCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORME_FCREATETIME') CREATE INDEX IDX_QCBD_SCORME_FCREATETIME ON T_QCBD_SCORESCHEME ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_SCORESCHEME_L', 'T_QCBD_SCORESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORMEL_FID') CREATE INDEX IDX_QCBD_SCORMEL_FID ON T_QCBD_SCORESCHEME_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SCORMEL_FNAME') CREATE INDEX IDX_QCBD_SCORMEL_FNAME ON T_QCBD_SCORESCHEME_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_VIEWCOMENTRY', 'T_QCBD_VIEWCOMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWRY_FID') CREATE INDEX IDX_QCBD_VIEWRY_FID ON T_QCBD_VIEWCOMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWRY_FSEQ') CREATE INDEX IDX_QCBD_VIEWRY_FSEQ ON T_QCBD_VIEWCOMENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_VIEWCOMMIT', 'T_QCBD_VIEWCOMMIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWIT_FNUMBER') CREATE INDEX IDX_QCBD_VIEWIT_FNUMBER ON T_QCBD_VIEWCOMMIT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWIT_FCREATETIME') CREATE INDEX IDX_QCBD_VIEWIT_FCREATETIME ON T_QCBD_VIEWCOMMIT ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_VIEWCOMMIT_L', 'T_QCBD_VIEWCOMMIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWITL_FID') CREATE INDEX IDX_QCBD_VIEWITL_FID ON T_QCBD_VIEWCOMMIT_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWITL_FNAME') CREATE INDEX IDX_QCBD_VIEWITL_FNAME ON T_QCBD_VIEWCOMMIT_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_VIEWSTDENTRY', 'T_QCBD_VIEWSTDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWRYSTD_FID') CREATE INDEX IDX_QCBD_VIEWRYSTD_FID ON T_QCBD_VIEWSTDENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_VIEWRYSTD_FSEQ') CREATE INDEX IDX_QCBD_VIEWRYSTD_FSEQ ON T_QCBD_VIEWSTDENTRY ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
