﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_PLUGIN_CFG', 'T_QCBD_PLUGIN_CFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_PLUGIN_FNUMBER') CREATE INDEX IDX_QCBD_PLUGIN_FNUMBER ON T_QCBD_PLUGIN_CFG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_PLUGIN_FCREATETIME') CREATE INDEX IDX_QCBD_PLUGIN_FCREATETIME ON T_QCBD_PLUGIN_CFG ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_PLUGIN_CFG_L', 'T_QCBD_PLUGIN_CFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_PLUGINL_FID') CREATE INDEX IDX_QCBD_PLUGINL_FID ON T_QCBD_PLUGIN_CFG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_PLUGINL_FNAME') CREATE INDEX IDX_QCBD_PLUGINL_FNAME ON T_QCBD_PLUGIN_CFG_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_QCP', 'T_QCBD_INSOBJ_QCP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCP_FNUMBER') CREATE INDEX IDX_QCBD_ISOQCP_FNUMBER ON T_QCBD_INSOBJ_QCP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCP_FCREATETIME') CREATE INDEX IDX_QCBD_ISOQCP_FCREATETIME ON T_QCBD_INSOBJ_QCP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_QCP_L', 'T_QCBD_INSOBJ_QCP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOLQCP_FID') CREATE INDEX IDX_QCBD_ISOLQCP_FID ON T_QCBD_INSOBJ_QCP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOLQCP_FNAME') CREATE INDEX IDX_QCBD_ISOLQCP_FNAME ON T_QCBD_INSOBJ_QCP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_QCPP', 'T_QCBD_INSOBJ_QCPP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCPP_FNUMBER') CREATE INDEX IDX_QCBD_ISOQCPP_FNUMBER ON T_QCBD_INSOBJ_QCPP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCPP_FCREATETIME') CREATE INDEX IDX_QCBD_ISOQCPP_FCREATETIME ON T_QCBD_INSOBJ_QCPP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_QCPP_L', 'T_QCBD_INSOBJ_QCPP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOLQCPP_FID') CREATE INDEX IDX_QCBD_ISOLQCPP_FID ON T_QCBD_INSOBJ_QCPP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOLQCPP_FNAME') CREATE INDEX IDX_QCBD_ISOLQCPP_FNAME ON T_QCBD_INSOBJ_QCPP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_INSPOBJDP', 'T_QCBD_INSPOBJDP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDP_FNUMBER') CREATE INDEX IDX_QCBD_INSPDP_FNUMBER ON T_QCBD_INSPOBJDP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDP_FCREATETIME') CREATE INDEX IDX_QCBD_INSPDP_FCREATETIME ON T_QCBD_INSPOBJDP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_INSPOBJDP_E', 'T_QCBD_INSPOBJDP_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDPE_FID') CREATE INDEX IDX_QCBD_INSPDPE_FID ON T_QCBD_INSPOBJDP_E ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDPE_FSEQ') CREATE INDEX IDX_QCBD_INSPDPE_FSEQ ON T_QCBD_INSPOBJDP_E ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_INSPOBJDP_L', 'T_QCBD_INSPOBJDP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDPL_FID') CREATE INDEX IDX_QCBD_INSPDPL_FID ON T_QCBD_INSPOBJDP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPDPL_FNAME') CREATE INDEX IDX_QCBD_INSPDPL_FNAME ON T_QCBD_INSPOBJDP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_QCPO_ENTRY', 'T_QCBD_QCPO_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCP_FID') CREATE INDEX IDX_QCBD_ISOQCP_FID ON T_QCBD_QCPO_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCP_FSEQ') CREATE INDEX IDX_QCBD_ISOQCP_FSEQ ON T_QCBD_QCPO_ENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_QCPPO_ENTRY', 'T_QCBD_QCPPO_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCPP_FID') CREATE INDEX IDX_QCBD_ISOQCPP_FID ON T_QCBD_QCPPO_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOQCPP_FSEQ') CREATE INDEX IDX_QCBD_ISOQCPP_FSEQ ON T_QCBD_QCPPO_ENTRY ( FSEQ );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
