﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PLUGIN_CFG') 
 CREATE TABLE T_QCBD_PLUGIN_CFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FENTITYTYPEID NVARCHAR(255) DEFAULT '0' NOT NULL,
FPLUGINTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FROUTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PLUGIN_CFG_L') 
 CREATE TABLE T_QCBD_PLUGIN_CFG_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_PROEQENTRY' AND KSQL_COL_NAME ='FREFERENCE') 
 ALTER TABLE T_QCBD_PROEQENTRY ADD (FREFERENCE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_PROEQENTRY' AND KSQL_COL_NAME ='FRELATION') 
 ALTER TABLE T_QCBD_PROEQENTRY ADD (FRELATION NVARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_PROEQENTRY' AND KSQL_COL_NAME ='FOUTPUT') 
 ALTER TABLE T_QCBD_PROEQENTRY ADD (FOUTPUT NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_PROEQENTRY' AND KSQL_COL_NAME ='FINPUT') 
 ALTER TABLE T_QCBD_PROEQENTRY ADD (FINPUT NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_RPROENTRY' AND KSQL_COL_NAME ='FOPERATIONDESC') 
 ALTER TABLE T_QCBD_RPROENTRY ADD (FOPERATIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_QCP') 
 CREATE TABLE T_QCBD_INSOBJ_QCP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO BIGINT DEFAULT 0 NOT NULL,
FSBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMSRCQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSRCUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FSBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_QCP_L') 
 CREATE TABLE T_QCBD_INSOBJ_QCP_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_QCPP') 
 CREATE TABLE T_QCBD_INSOBJ_QCPP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO BIGINT DEFAULT 0 NOT NULL,
FSBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMSRCQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSRCUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FSBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_QCPP_L') 
 CREATE TABLE T_QCBD_INSOBJ_QCPP_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPOBJDP') 
 CREATE TABLE T_QCBD_INSPOBJDP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTGOPR NVARCHAR(5) DEFAULT ' ' NOT NULL,
FTGENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FISMAKEPARA CHAR(1) DEFAULT '0' NOT NULL,
FTGAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPOBJDP_E') 
 CREATE TABLE T_QCBD_INSPOBJDP_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAINFO_TAG NCLOB DEFAULT '',
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPOBJDP_L') 
 CREATE TABLE T_QCBD_INSPOBJDP_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCPO_ENTRY') 
 CREATE TABLE T_QCBD_QCPO_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTTEXTVAL NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QCPPO_ENTRY') 
 CREATE TABLE T_QCBD_QCPPO_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTTEXTVAL NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
