﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_KSQLSCHEME') 
 CREATE TABLE T_QCBD_KSQLSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FENTRYOBJECTID NVARCHAR(255) DEFAULT '0' NOT NULL,
FPRESETDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESETUSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESETORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FANNOTATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPOSEDATA CHAR(1) DEFAULT '0' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_KSQLSCHEME_ENTITY') 
 CREATE TABLE T_QCBD_KSQLSCHEME_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSELECT CHAR(1) DEFAULT '0' NOT NULL,
FSRCFIELDTAGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCFIELDTAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIDENTIFICATION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_KSQLSCHEME_L') 
 CREATE TABLE T_QCBD_KSQLSCHEME_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
