﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECTIONSTD') 
 CREATE TABLE T_QCBD_INSPECTIONSTD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCHECKMETHOD BIGINT DEFAULT 0 NOT NULL,
FCHECKBASIS BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRADIOGROUPFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCHECKINSTRUCT BIGINT DEFAULT 0 NOT NULL,
FRADIOGROUPFIELD1 NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECTIONSTD_L') 
 CREATE TABLE T_QCBD_INSPECTIONSTD_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECTIONSTDENTRY') 
 CREATE TABLE T_QCBD_INSPECTIONSTDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSPECVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPVALUE BIGINT DEFAULT 0 NOT NULL,
FDOWNVALUE BIGINT DEFAULT 0 NOT NULL,
FCHECKMETHOD BIGINT DEFAULT 0 NOT NULL,
FCHECKBASIS BIGINT DEFAULT 0 NOT NULL,
FCHECKCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNORMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKINSTRUCT BIGINT DEFAULT 0 NOT NULL,
FKEYQUALITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITLD BIGINT DEFAULT 0 NOT NULL,
FCHECKITEMS BIGINT DEFAULT 0 NOT NULL,
FCHECKFREQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECTIONSTDGRP') 
 CREATE TABLE T_QCBD_INSPECTIONSTDGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECTIONSTDGRP_L') 
 CREATE TABLE T_QCBD_INSPECTIONSTDGRP_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPECTIONFREQ' AND KSQL_COL_NAME ='FCOMMENT') 
 ALTER TABLE T_QCBD_INSPECTIONFREQ ADD (FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPECTIONFREQGRP' AND KSQL_COL_NAME ='FCOMMENT') 
 ALTER TABLE T_QCBD_INSPECTIONFREQGRP ADD (FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPECTIONFREQGRP' AND KSQL_COL_NAME ='FUSEORG') 
 ALTER TABLE T_QCBD_INSPECTIONFREQGRP ADD (FUSEORG BIGINT DEFAULT 0 NOT NULL );

 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
