﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PROEQENTRY') 
 CREATE TABLE T_QCBD_PROEQENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROCESSSEQREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PROSEQREL') 
 CREATE TABLE T_QCBD_PROSEQREL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSEQRELATIONSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONPARSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONPARNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARALLELRATION NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QROUTE') 
 CREATE TABLE T_QCBD_QROUTE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FROUTEREPLACE BIGINT DEFAULT 0 NOT NULL,
FISMAINPROCESS CHAR(1) DEFAULT '0' NOT NULL,
FPROCESSTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELTIME DATETIME,
FMANUROUTEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOMVERSIONSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOMTYPESTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSYNTIME DATETIME,
FQAUDITOR BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_QROUTE_L') 
 CREATE TABLE T_QCBD_QROUTE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_RACTENTRY') 
 CREATE TABLE T_QCBD_RACTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FACTSCHEDULING CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_RPROENTRY') 
 CREATE TABLE T_QCBD_RPROENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMACHININGTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
FWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FISSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FISPROCESSOVERLAP CHAR(1) DEFAULT '0' NOT NULL,
FSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIMEUNIT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPTIMEUNIT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FOVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_RSUBENTRY') 
 CREATE TABLE T_QCBD_RSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPRO_ENT') 
 CREATE TABLE T_QCBD_INSPRO_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETUPTYPE NVARCHAR(5) DEFAULT '0' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FMATERIELTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FSAMPLEPROID BIGINT DEFAULT 0 NOT NULL,
FINSPECTSTDID BIGINT DEFAULT 0 NOT NULL,
FINSPECTORGID BIGINT DEFAULT 0 NOT NULL,
FINSPECTUSERID BIGINT DEFAULT 0 NOT NULL,
FWSTRSPROID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
