﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSAPPENTRY') 
 CREATE TABLE T_QCBD_INSAPPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FCONVERTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINISHTIME DATETIME,
FINSPEDEPTID BIGINT DEFAULT 0 NOT NULL,
FINSPECTORID BIGINT DEFAULT 0 NOT NULL,
FINSPECTSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FBASEJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWBBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTITYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALCFG BIGINT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECAPPLY_L') 
 CREATE TABLE T_QCBD_INSPECAPPLY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_WDSTCT_RLE' AND KSQL_COL_NAME ='FSTARTCONDITION') 
 ALTER TABLE T_QCBD_WDSTCT_RLE ADD (FSTARTCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_WDSTCT_RLE' AND KSQL_COL_NAME ='FRSTARTCONDITION') 
 ALTER TABLE T_QCBD_WDSTCT_RLE ADD (FRSTARTCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECAPPLY') 
 CREATE TABLE T_QCBD_INSPECAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FQUALITYORG BIGINT DEFAULT 0 NOT NULL,
FAPPLYUSER BIGINT DEFAULT 0 NOT NULL,
FAPPLYTIME DATETIME,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FINSPECORGID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_BADDEAL' AND KSQL_COL_NAME ='FCOMMENT') 
 ALTER TABLE T_QCBD_BADDEAL ADD (FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPRO_ENT' AND KSQL_COL_NAME ='FQROUTEID') 
 ALTER TABLE T_QCBD_INSPRO_ENT ADD (FQROUTEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPRO_ENT' AND KSQL_COL_NAME ='FROCESSSEQ') 
 ALTER TABLE T_QCBD_INSPRO_ENT ADD (FROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPRO_ENT' AND KSQL_COL_NAME ='FOPERATIONNO') 
 ALTER TABLE T_QCBD_INSPRO_ENT ADD (FOPERATIONNO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPRO_ENT' AND KSQL_COL_NAME ='FOPROPERATION') 
 ALTER TABLE T_QCBD_INSPRO_ENT ADD (FOPROPERATION BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
