--库存检验执行方案分类
 EXEC P_ALTERPK 'PK_QCBD_INVPSCMGRP', 'T_QCBD_INVPSCMGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRP_FNUMBER') CREATE INDEX IDX_QCBD_INVPRP_FNUMBER ON T_QCBD_INVPSCMGRP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRP_FCREATETIME') CREATE INDEX IDX_QCBD_INVPRP_FCREATETIME ON T_QCBD_INVPSCMGRP ( FCREATETIME );

--库存检验执行方案分类多语言
 EXEC P_ALTERPK 'PK_QCBD_INVPSCMGRP_L', 'T_QCBD_INVPSCMGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRPL_FID') CREATE INDEX IDX_QCBD_INVPRPL_FID ON T_QCBD_INVPSCMGRP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRPL_FNAME') CREATE INDEX IDX_QCBD_INVPRPL_FNAME ON T_QCBD_INVPSCMGRP_L ( FNAME );


--库存检验执行方案
EXEC P_ALTERPK 'PK_QCBD_INVPSCM', 'T_QCBD_INVPSCM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPCM_FNUMBER') CREATE INDEX IDX_QCBD_INVPCM_FNUMBER ON T_QCBD_INVPSCM ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPCM_FCREATETIME') CREATE INDEX IDX_QCBD_INVPCM_FCREATETIME ON T_QCBD_INVPSCM ( FCREATETIME );

--库存检验执行方案多语言
 EXEC P_ALTERPK 'PK_QCBD_INVPSCM_L', 'T_QCBD_INVPSCM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPCML_FID') CREATE INDEX IDX_QCBD_INVPCML_FID ON T_QCBD_INVPSCM_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPCML_FNAME') CREATE INDEX IDX_QCBD_INVPCML_FNAME ON T_QCBD_INVPSCM_L ( FNAME );

--库存检验执行方案分单分录
 EXEC P_ALTERPK 'PK_QCBD_INVPSCMENTRY', 'T_QCBD_INVPSCMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRY_FID') CREATE INDEX IDX_QCBD_INVPRY_FID ON T_QCBD_INVPSCMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPRY_FSEQ') CREATE INDEX IDX_QCBD_INVPRY_FSEQ ON T_QCBD_INVPSCMENTRY ( FSEQ );

--库存检验执行方案日志分录
 EXEC P_ALTERPK 'PK_QCBD_INVPSCMLOG', 'T_QCBD_INVPSCMLOG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPOG_FID') CREATE INDEX IDX_QCBD_INVPOG_FID ON T_QCBD_INVPSCMLOG ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INVPOG_FSEQ') CREATE INDEX IDX_QCBD_INVPOG_FSEQ ON T_QCBD_INVPSCMLOG ( FSEQ );
