﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPECTIONSTDENTRY' AND KSQL_COL_NAME ='FPROJSAMPID')
ALTER TABLE T_QCBD_INSPECTIONSTDENTRY
    ADD (FPROJSAMPID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPRO_ENT' AND KSQL_COL_NAME ='FJOININSPECTFLAG')
ALTER TABLE T_QCBD_INSPRO_ENT
    ADD (FJOININSPECTFLAG CHAR(1) DEFAULT '0' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_SCHEMEPROJ')
CREATE TABLE T_QCBD_SCHEMEPROJ
(
    FENTRYID         BIGINT          DEFAULT 0   NOT NULL,
    FDETAILID        BIGINT          DEFAULT 0   NOT NULL,
    FSEQ             INT             DEFAULT 0   NOT NULL,
    FCHECKITEMSID      BIGINT          DEFAULT 0   NOT NULL,
    FISJOININSPECT   CHAR(1)         DEFAULT '0' NOT NULL,
    FCHECKCONTENT    NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FCHECKMETHODID     BIGINT          DEFAULT 0   NOT NULL,
    FCHECKBASISID      BIGINT          DEFAULT 0   NOT NULL,
    FCHECKINSTRUCTID   BIGINT          DEFAULT 0   NOT NULL,
    FCHECKFREQID       BIGINT          DEFAULT 0   NOT NULL,
    FKEYQUALITY      NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FNORMTYPE        NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FMATCHFLAGID       BIGINT          DEFAULT 0   NOT NULL,
    FSPECVALUE       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FTOPVALUE        DECIMAL(23, 10),
    FDOWNVALUE       DECIMAL(23, 10),
    FPROJSAMPID      BIGINT          DEFAULT 0   NOT NULL,
    FJOINDEPTID      BIGINT          DEFAULT 0   NOT NULL,
    FJOININSPECTORID BIGINT          DEFAULT 0   NOT NULL,
    FUNITID          BIGINT          DEFAULT 0   NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
