﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_TRANSACTYPE')
CREATE TABLE T_QCBD_TRANSACTYPE
(
    FID               BIGINT  DEFAULT 0   NOT NULL,
    FNUMBER           NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME             NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS           NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATORID        BIGINT  DEFAULT 0   NOT NULL,
    FMODIFIERID       BIGINT  DEFAULT 0   NOT NULL,
    FENABLE           NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATETIME       DATETIME,
    FMODIFYTIME       DATETIME,
    FMASTERID         BIGINT  DEFAULT 0   NOT NULL,
    FGROUPID          BIGINT  DEFAULT 0   NOT NULL,
    FORGID            BIGINT  DEFAULT 0   NOT NULL,
    FCREATEORGID      BIGINT  DEFAULT 0   NOT NULL,
    FCTRLSTRATEGY     NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FSOURCEDATAID     BIGINT  DEFAULT 0   NOT NULL,
    FBITINDEX         INT     DEFAULT 0   NOT NULL,
    FSOURCEBITINDEX   INT     DEFAULT 0   NOT NULL,
    FAUDITORID        BIGINT  DEFAULT 0   NOT NULL,
    FAUDITDATE        DATETIME,
    FJOININSPECTFLAG  CHAR(1) DEFAULT '0' NOT NULL,
    FINSPITEMMODFLG   CHAR(1) DEFAULT '0' NOT NULL,
    FINSPSAMPPROJFLAG CHAR(1) DEFAULT '0' NOT NULL,
    FCKVALFLAG        CHAR(1) DEFAULT '0' NOT NULL,
    FSAMPNUMRULE      NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FSUSPICIOUSRULE   NVARCHAR(512) DEFAULT ' ' NOT NULL,
    FISPRESET         NVARCHAR(1) DEFAULT '0' NOT NULL,
    FBIZTYPEID        BIGINT  DEFAULT 0   NOT NULL,
    FMATCHMATTYPE     CHAR(1) DEFAULT '0' NOT NULL,
    FMATCHPRIORITY    CHAR(1) DEFAULT '0' NOT NULL,
    FISDEFAULT        CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_TRANSACTYPE_L')
CREATE TABLE T_QCBD_TRANSACTYPE_L
(
    FPKID     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FID       BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_TRANSACTYPEGRP')
CREATE TABLE T_QCBD_TRANSACTYPEGRP
(
    FID             BIGINT  DEFAULT 0   NOT NULL,
    FNUMBER         NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME           NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS         NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATORID      BIGINT  DEFAULT 0   NOT NULL,
    FMODIFIERID     BIGINT  DEFAULT 0   NOT NULL,
    FENABLE         NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATETIME     DATETIME,
    FMODIFYTIME     DATETIME,
    FMASTERID       BIGINT  DEFAULT 0   NOT NULL,
    FLONGNUMBER     NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FLEVEL          INT     DEFAULT 0   NOT NULL,
    FFULLNAME       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FISLEAF         CHAR(1) DEFAULT '0' NOT NULL,
    FPARENTID       BIGINT  DEFAULT 0   NOT NULL,
    FCREATEORGID    BIGINT  DEFAULT 0   NOT NULL,
    FORGID          BIGINT  DEFAULT 0   NOT NULL,
    FUSEORGID       BIGINT  DEFAULT 0   NOT NULL,
    FCTRLSTRATEGY   NVARCHAR(5) DEFAULT ' ' NOT NULL,
    FSOURCEDATAID   BIGINT  DEFAULT 0   NOT NULL,
    FBITINDEX       INT     DEFAULT 0   NOT NULL,
    FSOURCEBITINDEX INT     DEFAULT 0   NOT NULL,
    FTEXTFIELD      NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_TRANSACTYPEGRP_L')
CREATE TABLE T_QCBD_TRANSACTYPEGRP_L
(
    FPKID     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FID       BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_TRA_MULPMD')
CREATE TABLE T_QCBD_TRA_MULPMD (
    FPKID       BIGINT DEFAULT 0 NOT NULL,
    FID         BIGINT DEFAULT 0 NOT NULL,
    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
