﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_FIELDMAP_ENTRY')
CREATE TABLE T_QCBD_FIELDMAP_ENTRY
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FENTRYID        BIGINT DEFAULT 0 NOT NULL,
    FSEQ            INT    DEFAULT 0 NOT NULL,
    FENTITYOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FBILLFIELDNAME  NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FBILLFIELD      NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECT_FIELDMAP')
CREATE TABLE T_QCBD_INSPECT_FIELDMAP
(
    FID         BIGINT DEFAULT 0 NOT NULL,
    FNUMBER     NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS     NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATORID  BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE     NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID   BIGINT DEFAULT 0 NOT NULL,
    FCALFIELDID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID  BIGINT DEFAULT 0 NOT NULL,
    FAUDITTIME  DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPECT_FIELDMAP_L')
CREATE TABLE T_QCBD_INSPECT_FIELDMAP_L
(
    FPKID     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FID       BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PRO_MATCHDIMEN')
CREATE TABLE T_QCBD_PRO_MATCHDIMEN
(
    FID           BIGINT DEFAULT 0 NOT NULL,
    FNUMBER       NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME         NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS       NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATORID    BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID   BIGINT DEFAULT 0 NOT NULL,
    FENABLE       NVARCHAR(1) DEFAULT ' ' NOT NULL,
    FCREATETIME   DATETIME,
    FMODIFYTIME   DATETIME,
    FMASTERID     BIGINT DEFAULT 0 NOT NULL,
    FPROFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FPROFIELD     NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_PRO_MATCHDIMEN_L')
CREATE TABLE T_QCBD_PRO_MATCHDIMEN_L
(
    FPKID     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FID       BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
