﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_CUSTOMTEMP', 'T_QCBD_CUSTOMTEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_CUSTMP_FNUMBER') CREATE INDEX IDX_QCBD_CUSTMP_FNUMBER ON T_QCBD_CUSTOMTEMP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_CUSTMP_FCREATETIME') CREATE INDEX IDX_QCBD_CUSTMP_FCREATETIME ON T_QCBD_CUSTOMTEMP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_CUSTOMTEMP_L', 'T_QCBD_CUSTOMTEMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_CUSTMPL_FID') CREATE INDEX IDX_QCBD_CUSTMPL_FID ON T_QCBD_CUSTOMTEMP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_CUSTMPL_FNAME') CREATE INDEX IDX_QCBD_CUSTMPL_FNAME ON T_QCBD_CUSTOMTEMP_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_WDSTCT_RLE', 'T_QCBD_WDSTCT_RLE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WDSTCT_FID') CREATE INDEX IDX_QCBD_WDSTCT_FID ON T_QCBD_WDSTCT_RLE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WDSTCT_FSEQ') CREATE INDEX IDX_QCBD_WDSTCT_FSEQ ON T_QCBD_WDSTCT_RLE ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_WDSTCT_RULE', 'T_QCBD_WDSTCT_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WS_RULE_FNUMBER') CREATE INDEX IDX_QCBD_WS_RULE_FNUMBER ON T_QCBD_WDSTCT_RULE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WS_RULE_FCREATETIME') CREATE INDEX IDX_QCBD_WS_RULE_FCREATETIME ON T_QCBD_WDSTCT_RULE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_WDSTCT_RULE_L', 'T_QCBD_WDSTCT_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WSL_RULE_FID') CREATE INDEX IDX_QCBD_WSL_RULE_FID ON T_QCBD_WDSTCT_RULE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WSL_RULE_FNAME') CREATE INDEX IDX_QCBD_WSL_RULE_FNAME ON T_QCBD_WDSTCT_RULE_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_WDSTCT_STG', 'T_QCBD_WDSTCT_STG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WS_STG_FNUMBER') CREATE INDEX IDX_QCBD_WS_STG_FNUMBER ON T_QCBD_WDSTCT_STG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WS_STG_FCREATETIME') CREATE INDEX IDX_QCBD_WS_STG_FCREATETIME ON T_QCBD_WDSTCT_STG ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_WDSTCT_STG_L', 'T_QCBD_WDSTCT_STG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WSL_STG_FID') CREATE INDEX IDX_QCBD_WSL_STG_FID ON T_QCBD_WDSTCT_STG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_WSL_STG_FNAME') CREATE INDEX IDX_QCBD_WSL_STG_FNAME ON T_QCBD_WDSTCT_STG_L ( FNAME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
