﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_SUSPICIOUS', 'T_QCBD_SUSPICIOUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPUS_FNUMBER') CREATE INDEX IDX_QCBD_SUSPUS_FNUMBER ON T_QCBD_SUSPICIOUS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPUS_FCREATETIME') CREATE INDEX IDX_QCBD_SUSPUS_FCREATETIME ON T_QCBD_SUSPICIOUS ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPUS_FCREATEORGID') CREATE INDEX IDX_QCBD_SUSPUS_FCREATEORGID ON T_QCBD_SUSPICIOUS ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_QCBD_SUSPICIOUS_L', 'T_QCBD_SUSPICIOUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPUSL_FID') CREATE INDEX IDX_QCBD_SUSPUSL_FID ON T_QCBD_SUSPICIOUS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPUSL_FNAME') CREATE INDEX IDX_QCBD_SUSPUSL_FNAME ON T_QCBD_SUSPICIOUS_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_SUSPICIOUSENTRY', 'T_QCBD_SUSPICIOUSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRY_FID') CREATE INDEX IDX_QCBD_SUSPRY_FID ON T_QCBD_SUSPICIOUSENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRY_FSEQ') CREATE INDEX IDX_QCBD_SUSPRY_FSEQ ON T_QCBD_SUSPICIOUSENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRY_FMATERIALID') CREATE INDEX IDX_QCBD_SUSPRY_FMATERIALID ON T_QCBD_SUSPICIOUSENTRY ( FMATERIALID );


 EXEC P_ALTERPK 'PK_QCBD_SUSPICIOUSGRP', 'T_QCBD_SUSPICIOUSGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRP_FNUMBER') CREATE INDEX IDX_QCBD_SUSPRP_FNUMBER ON T_QCBD_SUSPICIOUSGRP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRP_FCREATETIME') CREATE INDEX IDX_QCBD_SUSPRP_FCREATETIME ON T_QCBD_SUSPICIOUSGRP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_SUSPICIOUSGRP_L', 'T_QCBD_SUSPICIOUSGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRPL_FID') CREATE INDEX IDX_QCBD_SUSPRPL_FID ON T_QCBD_SUSPICIOUSGRP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SUSPRPL_FNAME') CREATE INDEX IDX_QCBD_SUSPRPL_FNAME ON T_QCBD_SUSPICIOUSGRP_L ( FNAME );


/**End D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
